The NetBSD Project

CVS log for pkgsrc/devel/p5-App-perlbrew/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / p5-App-perlbrew

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.34 / (download) - annotate - [select for diffs], Sun Jan 27 13:00:26 2019 UTC (2 months, 3 weeks ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, HEAD
Changes since 1.33: +13 -15 lines
Diff to previous 1.33 (colored)

Update to 0.86
Update DEPENDS

Upstream changes:
0.86
        - Released at 2019-01-19T09:39:55+0900
        - Thanks to our contributors: Olaf Alders, Paul Cochrane
        - Fix an error from 'install' command.  https://rt.cpan.org/Public/Bug/Display.html?id=128083
        - Tweak the separater characters of 'exec' command: See https://github.com/gugod/App-perlbrew/issues/648

0.85
        - Released at 2018-12-15T23:24:15+0900
        - Thanks to our contributors: Branislav Zahradník, Guido Flohr, Joelle Maslak, Luca Ferrari, rage311
        - Fix the behaviour of 'clone-modules'
        - Various internal refactoring

Revision 1.33 / (download) - annotate - [select for diffs], Wed Aug 22 09:43:36 2018 UTC (8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3
Changes since 1.32: +2 -1 lines
Diff to previous 1.32 (colored)

Recursive bump for perl5-5.28.0

Revision 1.32 / (download) - annotate - [select for diffs], Sun Jun 24 06:53:14 2018 UTC (10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.31: +2 -2 lines
Diff to previous 1.31 (colored)

p5-App-perlbrew: update to 0.84.

0.84
	- Released at 2018-06-24T08:26:14+0900
	- Thanks to our contributors: Joelle Maslak
        - Unbreak 'available' command after some updates from cpan.org web site.
        - Unbreak the installation -- which missed "perlbrew" command due to a mistake when using mbtiny.

Revision 1.31 / (download) - annotate - [select for diffs], Sat Jun 9 01:40:20 2018 UTC (10 months, 2 weeks ago) by wen
Branch: MAIN
Changes since 1.30: +5 -2 lines
Diff to previous 1.30 (colored)

Update to 0.83

Upstream changes:
0.83
        - Released at 2018-05-30T08:04:43+0900
        - Thanks to our contributors: Alceu Rodrigues de Freitas Junior, Dan Book, Luca Ferrari, María Inés Parnisari, Mohammad S Anwar, Shoichi Kaji, sylints
        - my respect to search.cpan.org
        - MAKE env var can now be used to specify the "make" program.
        - New command: install-cpm
        - "install" command now has a "--builddir" option for specifying a work directory
        - "list" command now takes "--verbose" option.
        - "clone-modules" command is now better documented.

Revision 1.30 / (download) - annotate - [select for diffs], Sat Dec 30 13:18:47 2017 UTC (15 months, 3 weeks ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.29: +3 -2 lines
Diff to previous 1.29 (colored)

p5-App-perlbrew: update to 0.82.

- Thanks to our contributors: Alceu Rodrigues de Freitas Junior, Paul Cochrane
- Fix regression of 'perlbrew install blead'

0.81: # 2017-12-09T15:12:04+0900
- Thanks to our contributors: Luca Ferrari, Zac Bentley, perlancar, Nicolas R, gregor herrmann, Paul Cochrane
- New command: clone-modules
- Recognize tarball in .tar.xz extension
- The output of "availables" is now sorted by versions
- Unbreak the integration with cperl releases
- Make `perlbrew install` runs correctly on AIX
- support the current perl blead (5.28)

Revision 1.29 / (download) - annotate - [select for diffs], Tue Aug 15 00:36:15 2017 UTC (20 months, 1 week ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-
Changes since 1.28: +2 -5 lines
Diff to previous 1.28 (colored)

Updated devel/p5-App-perlbrew to 0.80
-------------------------------------
0.80: # 2017-06-30T07:40:45+0200
- Fix version in META.yml in CPAN distribution. See: https://rt.cpan.org/Public/Bug/Display.html?id=122279

0.79: # 2017-06-25T23:40:45+0200
- deal with perl-5.26 change about @INC in Makefile.PL
- "available" command now also shows the URLs

Revision 1.28 / (download) - annotate - [select for diffs], Thu Jun 15 11:56:48 2017 UTC (22 months, 1 week ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2017Q2-base, pkgsrc-2017Q2
Changes since 1.27: +3 -1 lines
Diff to previous 1.27 (colored)

Requires PERL_USE_UNSAFE_INC hack.

Revision 1.27 / (download) - annotate - [select for diffs], Mon Jun 5 14:22:35 2017 UTC (22 months, 2 weeks ago) by ryoon
Branch: MAIN
Changes since 1.26: +2 -1 lines
Diff to previous 1.26 (colored)

Recursive revbump from lang/perl5 5.26.0

Revision 1.26 / (download) - annotate - [select for diffs], Thu Dec 15 21:41:48 2016 UTC (2 years, 4 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4
Changes since 1.25: +3 -2 lines
Diff to previous 1.25 (colored)

Updated devel/p5-App-perlbrew to 0.78
-------------------------------------
0.78: # 2016-11-20T22:59:55+0100
- Thanks to our contributors: Manuel Streuhofer, Sergey Aleynikov
- More fixes to accomodate changes on perl5.git.perl.org

0.77: # 2016-11-12T06:42:45+0100
- Thanks to our contributors: Dennis Kaarsemaker, Roel Harbers
- The "uninstall" command now requires confirmation.
- Fix bug with csh when PATH entries contain spaces
- Accommodate git commit abbrivation changes on
  perl5.git.perl.org. See GH #524
  https://github.com/gugod/App-perlbrew/pull/524

(pkgsrc changes)
- Add following line for make test
  BUILD_DEPENDS+= p5-Test-NoWarnings-[0-9]*

Revision 1.25 / (download) - annotate - [select for diffs], Sat Jul 16 03:07:14 2016 UTC (2 years, 9 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2016Q3-base, pkgsrc-2016Q3
Changes since 1.24: +2 -3 lines
Diff to previous 1.24 (colored)

Update to 0.76

Upstream changes:
0.76: # 2016-06-21T23:02:44+0200
- Start supporting cperl installation.
- cperl releases are sourced from: https://github.com/perl11/cperl/releases
- Deal with a regex warning when testing perlbrew with perl-5.25. See RT: https://rt.cpan.org/Ticket/Display.html?id=114871

Revision 1.24 / (download) - annotate - [select for diffs], Sat Jul 9 06:38:11 2016 UTC (2 years, 9 months ago) by wiz
Branch: MAIN
Changes since 1.23: +2 -2 lines
Diff to previous 1.23 (colored)

Bump PKGREVISION for perl-5.24.0 for everything mentioning perl.

Revision 1.23 / (download) - annotate - [select for diffs], Wed Jun 8 19:22:34 2016 UTC (2 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q2-base, pkgsrc-2016Q2
Changes since 1.22: +2 -1 lines
Diff to previous 1.22 (colored)

Bump PKGREVISION for perl-5.24.

Revision 1.22 / (download) - annotate - [select for diffs], Sat Apr 9 05:03:13 2016 UTC (3 years ago) by mef
Branch: MAIN
Changes since 1.21: +2 -3 lines
Diff to previous 1.21 (colored)

Update 0.73 to 0.75
-------------------
0.75: # 2016-03-16T23:41:41+0100
- Thanks to our contributors: Dave Cross,  Dean Hamstead,  Mark J. Reed,  Mohammed El-Afifi,
- Add '--no-patchperl' install option for skip running patchperl.
- Add '--destdir' install option.
- "uninstall" command now also delete associated libs.
- "mirror" command is removed.
- "config" command is removed.

0.74: # 2015-11-24T20:55:02+0100
- A big thanks for our contributers: Aristotle Pagaltzis, Dave Jacoby,
  Dylan Cali, John Krull, Kevin Johnson, Nathan Day, Paul Cochrane, Tudor
  Constantin, Yanick Champoux, tm604
- support PERLBREW_LIB_PREFIX.
  https://github.com/gugod/App-perlbrew/commit/c29813cd4633683bd049964178a9ac96647986bc
- prefer https and remove insecure download cli flags.
  https://github.com/gugod/App-perlbrew/commit/f49a908c1702942006de4654107edf77a48ead52
- perlbrew now dies when switching to/use a lib that does not exist.
  https://github.com/gugod/App-perlbrew/issues/432
- RHEL vendorlib fix https://github.com/gugod/App-perlbrew/issues/409
- improvements with fish integration.
- unbreak when running with perl 5.14 or earlier:
  "list" command now correctly display lib names.
- retaining flags in upgrade-perl.
  https://github.com/gugod/App-perlbrew/commit/b8d466670bbfc8e214a9d3ff2e889a4860060d84
- variour document clean up and improvements.

Revision 1.21 / (download) - annotate - [select for diffs], Sun Jul 12 18:56:09 2015 UTC (3 years, 9 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4, pkgsrc-2015Q3-base, pkgsrc-2015Q3
Changes since 1.20: +2 -2 lines
Diff to previous 1.20 (colored)

Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg

Revision 1.20 / (download) - annotate - [select for diffs], Fri Jun 12 10:48:54 2015 UTC (3 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.19: +2 -2 lines
Diff to previous 1.19 (colored)

Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.

Revision 1.19 / (download) - annotate - [select for diffs], Sun Mar 1 09:27:41 2015 UTC (4 years, 1 month ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.18: +3 -1 lines
Diff to previous 1.18 (colored)

Add dependency on curl for fetching files.
From Kai-Uwe Eckhardt in PR 49704.
Bump PKGREVISION.

Revision 1.18 / (download) - annotate - [select for diffs], Tue Feb 3 01:10:56 2015 UTC (4 years, 2 months ago) by mef
Branch: MAIN
Changes since 1.17: +2 -2 lines
Diff to previous 1.17 (colored)

Update to 0.73
--------------
0.73: # 2015-02-01T09:59:45+0100
- fixes and improvements from Manuel Streuhofer, Aristotle Pagaltzis, Sebastian
  Willert, David Hand, Eric Enns,
  Peter Roberts, Thomas Sibley, Ivan Baidakou, thanks!
- fix 'perlbrew user' for fish users https://github.com/gugod/App-perlbrew/pull/429
- fix sub-shell for bash users https://github.com/gugod/App-perlbrew/pull/435
- clarify the 'perlbrew use' output: https://github.com/gugod/App-perlbrew/issues/439

Revision 1.17 / (download) - annotate - [select for diffs], Mon Jan 26 05:24:09 2015 UTC (4 years, 2 months ago) by mef
Branch: MAIN
Changes since 1.16: +2 -3 lines
Diff to previous 1.16 (colored)

Update 0.67 to 0.72
-----------------------------
0.72: # 2014-10-27T21:38:19+0100
- Fix 0.71 breakage on MacOSX when the shell is bash or zsh
- Fix spelling mistake. by @gregoa++

0.71: # 2014-09-13T19:59:15+0200
- Fix a few bugs of having unwanted values in PERL5LIB when switching between libs

0.70: # 2014-09-02T20:41:15+0900
- download the fatpacked perlbrew from an http:// url.
- protect fatpacked perlbrew from PERL5LIB, thanks to dagolden++
- avoid several warnings, thanks to DabeDotCom++
- making perlbrew a bit friendlier to init.d script, thanks to maxhq++ . see also
  https://github.com/gugod/App-perlbrew/pull/404
- make it possible to override PERLBREWURL before invoking installers

0.69: # 2014-06-10T23:32:05+0200
- fix 'perlbrew env' breakage by just avoiding bad local::lib versions.

0.68: # 2014-06-07T15:08:00+0200
- disable SSL cert checks. GH #385.
- "perlbrew download stable" works as on expects. GH #383
- Many fish shell fixes. GH #376 #378 #379
- make 5.21 installable. GH #396
- various documentation fixes.

Revision 1.16 / (download) - annotate - [select for diffs], Thu May 29 23:35:39 2014 UTC (4 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.15: +2 -1 lines
Diff to previous 1.15 (colored)

Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.

Revision 1.15 / (download) - annotate - [select for diffs], Thu May 22 02:28:46 2014 UTC (4 years, 11 months ago) by wen
Branch: MAIN
Changes since 1.14: +2 -2 lines
Diff to previous 1.14 (colored)

Update to 0.67

Upstream changes:
0.67: # 2013-11-20T08:40:52+0100
- Support fish shell. Thanks to @yenzie++
- `info` command now takes an optional module name and show information for it. Thanks to @trcjr++
- doc/bug fixes from @mmcclimon++, @mperry2++, and markstos++

0.66: # 2013-08-03T00:22:29+0200
- fix a bug the made download failed with curl program.

0.65: # 2013-08-01T07:19:03+0200
- exec command: error hadndling improvements. Thanks to @vsespb.
- install command: add "--clang" option. Thanks to @salva
- various bug fixes. thanks to @ironcamel and @gottreu

Revision 1.14 / (download) - annotate - [select for diffs], Mon Dec 9 14:17:42 2013 UTC (5 years, 4 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-2013Q4-base, pkgsrc-2013Q4
Changes since 1.13: +2 -2 lines
Diff to previous 1.13 (colored)

Fix/Update DEPENDS paterns for perl CORE modules, with some trivial fixes.

Bump PKGREVISION for runtime dependency pattern changed packages.

Revision 1.13 / (download) - annotate - [select for diffs], Sat Jul 13 11:40:02 2013 UTC (5 years, 9 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.12: +7 -8 lines
Diff to previous 1.12 (colored)

Update to 0.64
Update DEPENDS

Upstream changes:
0.64: # 2013-06-02T09:44:59+0200
- The build directory is removed before a new build.
- New command: `install-multiple`
- `clean` command now also removes tarballs
- `install` command has many extra convienent flags.
- Use "http://www.cpan.org" as the default CPAN mirror instead of "http://search.cpan.org/CPAN"
- Remove the --insecure/--no-check-certificate command bflags when invoking curl/wget.

0.63: # 2013-05-06T16:53:48+0200
- Remove `install-ack` command.
  - Due to the new architecture of ack2, it does not make sense
    to install the standalone executable anymore. Thus it's better not
    to do the installation with perlbrew.
- Fix the `use` and `switch` command when switching between binary incompatible perl installations. See GH #297

0.62: # 2013-04-07T17:43:58+0800
- Fix `list-modules` under lib env. It lists all modules in the lib, and in the base.
- Use the original grep command to prevent aliases from breaking the content of init. GH #307
- `perlbrew alias help` is now the same as `perlbrew help alias`
- `perlbrew exec --with ...` now preserve the order of specified names.

0.61:
- Fix bashrc on various OS/shell. See GH #302

0.60: # 2013-03-17T21:44:12+0100
- Exit status handling in bash function. See ed29288ab50a15d7df86d69cfcbddf108674eb07 for more details.
- Fix compatibility with recent local::lib version.
- Delay the loading of server modules.
- Fix warnings when runing `perlbrew off`


0.59: # 2013-02-17T12:34:10+0100
- New feature: "perlbrew install --switch $perl"
- New feature: "perlbrew install stable"
- Fix "--quiet" options for "exec" command
- Fix mulitple test failures and warnings

0.58: # 2012-11-16T08:45:18+0100
- Fix infinite re-exec loop as identified in #263
- Fix a case where PERL5LIB still contains previous entries after deactivating or activating other ones.

0.57: # 2012-11-13T19:57:03+0100
- Fix an infinite re-exec loop

0.56: # 2012-11-11T23:10:30+0100
- Fix GH #261, which breaks `off` and `swich-off` commands.

0.55:
- Revert the requirement of 5.8.8. Now require 5.8
- Add PERLBREW_CPAN_MIRROR environment variable
- Deal with a minor local::lib path problem. See GH #254.

Revision 1.12 / (download) - annotate - [select for diffs], Fri May 31 12:40:03 2013 UTC (5 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.11: +2 -1 lines
Diff to previous 1.11 (colored)

Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.

Revision 1.11 / (download) - annotate - [select for diffs], Wed Oct 31 11:17:38 2012 UTC (6 years, 5 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.10: +1 -3 lines
Diff to previous 1.10 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.10 / (download) - annotate - [select for diffs], Sat Oct 27 12:27:44 2012 UTC (6 years, 5 months ago) by wen
Branch: MAIN
Changes since 1.9: +5 -6 lines
Diff to previous 1.9 (colored)

Update to 0.54

Upstream changes:
0.54: # 2012-10-24T21:21:25+0200
- Now requires perl 5.8.8
- Fix an issue with list-module command listing extra modules See GH #245
- Tweak default Configure options for pre-5.6 versions
- Fix an issue with warning messagse in 'upgrade-perl' command.

0.53: # 2012-10-14T17:41:17+0200
- New command: `info`.
- requires CPAN::Perl::Releases 0.76 for 5.14.3 info.
- Skip "." in @INC to deal with a `list-module` issue. GH #245.
- Environment variable cleanups and minor bashrc rewrite.

0.52: # 2012-10-04T21:30:40+0200
- userelocatableinc is no longer default. Meanwhile PERLBREW_CONFIGURE_FLAGS can still be used.
- Fix GH #197 again. Also make sure perlbrew-unrelated PERL5LIB values are preserved.
- Fix an issue that MANPATH contains unwanted values even after switch/use/off.

0.51: # 2012-09-29T09:17:14+0200
- Fix a start-up warning message from bashrc when perlbrew is not active
- Fix a breakage on CentOS due to the use of `manpath` command.

0.50: # 2012-09-01T11:25:41+0200
- properly remove perlbrew-related PERL5LIB entries. GH #197
- minor documentation tweak.

0.49: # 2012-08-25T22:32:22+0200
- Fix the build for perl-5.12 and 5.14 -- userelocatableinc are not working properly. https://github.com/gugod/App-perlbrew/issues/232

0.48: # 2012-08-24T07:07:52+0200
- The build log output "build.log" is now named after the installation name for eaiser reference.
- Fix the invokation configure command to actually contains -Duserelocatableinc
- Experimental: bash/zsh users may put this to shell init instead: eval "$(~/perl5/perlbrew/bin/perlbrew init -)"
- A few output message updates

0.47: # 2012-08-23T07:59:53+0200
- New command: download.
- New env var: PERLBREW_CONFIGURE_FLAGS
- userelocatableinc is enabled by default when the installing perl version is greater than or equals to 5.8.9. It should make some use cases eaiser. In particular, you can move PERLBREW_ROOT directory to another place.
- fix https://github.com/gugod/App-perlbrew/issues/216 for bash users and zsh users

0.46:
- fix: The deprecation warning when running `self-upgrde`
- fix: system MANPATH detection
- improvement: Specifying multiple perl: `exec --with perl-5.14.2,perl-5.16.0`

0.45:
- New command: install-ack . This install the standalone version of ack under $PERLBREW_ROOT/bin
- New command: list-modules
- `exec` command now also iterates thourgh all the libs
- Documented the `--with` argument of exec command. See `perlbrew help exec`

0.44:
- Notice: "self-install" command now alters the shebang to use system perl
- Notice: "install-patchperl" command now alters the shebang to use system perl.
- some documentation tweaks
- fix: `perlbrew use` to/from a lib has not been working properly.

0.43:
- cpantester-error fixes
- csh support. Big thanks to matzsoft.
- support 'fetch' command on FreeBSD.
- Fix a bug that perlbrew failed to resolve version number when dist path contain "perl5"

0.42:
- Improvement: die when running perlbrew (use|switch) with unknown installation name.
- clean 'build.log' on install. ref: RT #69168.

Revision 1.9 / (download) - annotate - [select for diffs], Wed Oct 3 21:54:36 2012 UTC (6 years, 6 months ago) by wiz
Branch: MAIN
Changes since 1.8: +2 -1 lines
Diff to previous 1.8 (colored)

Bump all packages that use perl, or depend on a p5-* package, or
are called p5-*.

I hope that's all of them.

Revision 1.8 / (download) - annotate - [select for diffs], Sun Mar 4 14:04:31 2012 UTC (7 years, 1 month ago) by abs
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1
Changes since 1.7: +14 -9 lines
Diff to previous 1.7 (colored)

Updated devel/p5-App-perlbrew to 0.41

0.41:
- Fix installation issue when the specified version is not listed in CPAN::Perl::Releases
- Fix sub-shell invocation for 'switch' and 'use' command. This is particularly for csh users, but it should also work for bash users.

0.40:
- Make the stanalone perlbrew program smaller by using Perl::Strip
- use CPAN::Perl::Releases to decide the location of perl tarball -- less HTTP hits
- Prefer $PERLBREW_ROOT/bin/patchperl if it is there.

0.39:
- Fix GH #179. lib naming are more consistent.
- Fix GH #171. bash users are suggestted to upgrad to this version.
- Fix GH #152.

0.38:
- fix deps

0.37:
- fix ENV mess after switching to diffirent libs multiple times
- add --sitecustomize option

0.36:
- fix test errors on freebsd that makes it uninstallable

0.35:
- fixes for cpantester failures
- requiers local::lib version 1.008

0.34:
- Fix: remove duplicated items from the output of `perlbrew list`.
- New Command: self-install.
  - This is actually renamed from an undocumented command `install-perlbrew`
  - Plus it gets documented.
- Provide aditional bash completion control helper commands.
- Documentation fixes / typo corrections.
- alter MANPATHs, see GH #173
- Allow the representation like '@lib' te mean "a lib name under current perl.". See GH #153

0.33:
- Remove Text::Levenshtein from the standalone executable.
- Rearrange documentation so all perlbrew command usage document can be found in `perldoc perlbrew`
  - In the future, App::perlbrew POD should only contain the API doc for the module.

0.32:
- A hotfix release: local::lib was not bundled in the previous release.

0.31:
- NOTICE: Remove $PERLBREW_ROOT/Conf.pm if it's there, and re-run `perlbrew mirror`
- perlbrew help system is changing. `perlbrew help <command>` now displays brief documentation for the command.
- Add a global `--root` argument for all commands that can be used as a quick alternative to set PERLBREW_ROOT env var.
- Avoid display paths to external/system perl in the output of `perlbrew list`
- Replace Text::Levenshtein with a minimal implementation -- the standalone executable get to be smaller.

0.30:
- New command: lib
  - local::lib integration is done with this command.
- New command: install-patchperl
- skip runs of 'exec' on aliases https://github.com/gugod/App-perlbrew/pull/135
- Respect -f flag when installing to replace an already installed perl.
- Redefine the default value of -q flag to be false, and define it's meaning to be "complete silent"

0.29:
- The installer now honors $TMPDIR (RT #70850)
- Fixd GH #108. `perlbrew use` has a fallback for users that does not use bash/csh -compitable shell.
- Deprecate the command 'perlbrew use system' simply use 'perlbrew off' or 'perlbrew switch-off' instead.
- Deprecate the special case of `perlbrew use /path/to/bin/perl` and `perlbrew switch /path/to/bin/perl
  - perlbrew no longer cast magic to external perls. But there will be an alternative.

Revision 1.7 / (download) - annotate - [select for diffs], Tue Aug 16 21:11:30 2011 UTC (7 years, 8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.6: +14 -5 lines
Diff to previous 1.6 (colored)

Update to 0.28, add some missing dependencies.

0.28:
- fixes for cpantester
- Fix 'switch' and 'use' for bash users, by Woody2143++
- The standalone `perlbrew` file is now packed with fatpacker, by running `dev-bin/build.sh`. `perl Makefile.PL` does no trigger a re-build anymore.
- Update the installer to grab patchperl 0.46

Revision 1.6 / (download) - annotate - [select for diffs], Sun Aug 7 07:52:46 2011 UTC (7 years, 8 months ago) by adam
Branch: MAIN
Changes since 1.5: +12 -13 lines
Diff to previous 1.5 (colored)

Changes 0.27:
- Hotfix for `perlbrew install` command

Changes 0.26:
- Fix GH 119
- Fix t/08.exit_status.t for cpantesters
- Fix several bugs in `exec` command
- Implement GH 103 - install -v shows build.log
- Add -Dusedevel when installing blead perl

Changes 0.25:
- suggest when user types wrong commands.
- Improvements about self-upgrade.
- exit with non-zero status code when there's some sort of error.
- Added verification of existing alias before attempting unalias.
- Fix `install-cpanm` for due to a recenet github cert update.

Revision 1.5 / (download) - annotate - [select for diffs], Wed Aug 25 22:44:30 2010 UTC (8 years, 8 months ago) by seb
Branch: MAIN
CVS Tags: pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2011Q1-base, pkgsrc-2011Q1, pkgsrc-2010Q4-base, pkgsrc-2010Q4, pkgsrc-2010Q3-base, pkgsrc-2010Q3
Changes since 1.4: +3 -3 lines
Diff to previous 1.4 (colored)

Update p5-App-perlbrew from version 0.09nb1 to version 0.10.

Pkgsrc changes:
- adjust dependencies

Upstream changes:
0.10:
- Use File::Path::Tiny to avoid the api incompatibility of File::Path.
- yanick++ and castaway++ fixes docmentation
- gfx++ made it accept -Dopt style flags as Perl Configurate does.
- (Danijel Tasov)++ added '-n' option -- no test!
- xsawyerx++ fixes RT #57672, #60123, and GH #9
- Fixes #59729

Revision 1.4 / (download) - annotate - [select for diffs], Sat Aug 21 16:33:11 2010 UTC (8 years, 8 months ago) by seb
Branch: MAIN
Changes since 1.3: +2 -1 lines
Diff to previous 1.3 (colored)

Bump the PKGREVISION for all packages which depend directly on perl,
to trigger/signal a rebuild for the transition 5.10.1 -> 5.12.1.

The list of packages is computed by finding all packages which end
up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
or PERL5_PACKLIST defined in their make setup (tested via
"make show-vars VARNAMES=..."), minus the packages updated after
the perl package update.

sno@ was right after all, obache@ kindly asked and he@ led the
way. Thanks!

Revision 1.3 / (download) - annotate - [select for diffs], Wed Aug 4 21:45:58 2010 UTC (8 years, 8 months ago) by seb
Branch: MAIN
Changes since 1.2: +2 -2 lines
Diff to previous 1.2 (colored)

Update p5-App-perlbrew from version 0.08 to version 0.09.

Upstream changes:
0.09:
- Use the proxy set in $ENV{http_proxy} if available.
- Bypasses '-U' option to to configure. Thanks to chromatic++

Revision 1.2 / (download) - annotate - [select for diffs], Mon Jul 26 16:54:36 2010 UTC (8 years, 9 months ago) by seb
Branch: MAIN
Changes since 1.1: +2 -2 lines
Diff to previous 1.1 (colored)

Update p5-App-perlbrew from version 0.07 to version 0.08.

Upstream changes:
0.08:
- Conf file + CPAN mirror support
- Strip invalid dependency lines out of the makefile in older perl versions, to make them work with newer gcc versions
- Add rudimentary pure-perl introspection, jrockway++
- Documentation, castaway++

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Sat Jul 3 06:39:51 2010 UTC (8 years, 9 months ago) by seb
Branch: TNF
CVS Tags: pkgsrc-base
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Initial import of p5-App-perlbrew version 0.07 in the NetBSD Packages
Collection.

perlbrew is a program to automate the building and installation of
perl in the user's HOME. At the moment, it installs everything to
~/perl5/perlbrew, and requires you to tweak your PATH by including
a bashrc/cshrc file it provides. You then can benefit from not
having to run 'sudo' commands to install cpan modules because those
are installed inside your HOME too. It's almost like an isolated
perl environment.

Revision 1.1 / (download) - annotate - [select for diffs], Sat Jul 3 06:39:51 2010 UTC (8 years, 9 months ago) by seb
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>